//#region libs/shared/common/src/error-handling/customErrors/SimulationFailureError.ts
var e = class extends Error {
	errorStructure;
	constructor(e) {
		super(e.error), this.errorStructure = e, this.name = this.constructor.name;
	}
};
//#endregion
export { e as SimulationFailureError };
